Subject: Re: SUGGESTED ARQ TEXT Advice for Internet Subnetwork Designers ID

From: Nitin H Vaidya <[email-masked]>
Date: Wed, 20 Jun 2001 15:40:56 -0500 (CDT)

Lloyd:

  >> FEC is a logical process (walk the trellis, do the coding) that
  >> doesn't involve obviously physical quantities; just the information
  >> that all other layers also use.

Decoding may utilize some approximation of "physical" quantities.
Soft decision, for example, may approximate received information using
Q levels, with Q > 2, which is then fed to a decoder. The decoder output
would be binary as usual.

Thus, soft decisions result in a representation that no
"upper" layer would want to use. So in your terminology (if I am
interpreting your text above correctly), the decoder would belong
to the physical layer.

'nough said ...

- nitin

  >> 
  >> 
  >> > Traditionally, FEC is almost
  >> > always integrated within a modem, making it part of the physical
  >> > layer.
  >> 
  >> I really don't see how that follows. Integration of circuitry and
  >> logical layer separation are different things. FEC is before the
  >> modulation stage, and after demodulation - so it's not physical.
  >> 
  >> 
  >> > Except for the effect of FEC on error statistics and
  >> > transmission latency, it is essentially invisible to the link
  >> > layer.
  >> 
  >> s/FEC/ARQ, making ARQ a physical process... so ARQ has a buffer and
  >> some overhead - so?
  >> 
  >> If one end of a link disables its FEC, the other doesn't, and they
  >> can't communicate as a result, they're now using different physical
  >> layers? I'd be uncomfortable with that thought.
  >> 
  >> 
  >> > As I now say in the LINK draft, FEC is beginning to be applied above
  >> > the physical layer, most notably in reliable multicast, but this is
  >> > a pretty recent development.
  >> 
  >> To me, the fact that FEC can be applied at other layers shows that
  >> it's not a physical process; nothing uniquely physical about it.
  >> 
  >> This is no doubt all safely rhetorical, a la presentation/session...
  >> 
  >> L.
  >> 
  >> <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>
  >> 
  >> 
  >> 
  >>

---

From: Lloyd Wood <[email-masked]>
Date: Wed, 20 Jun 2001 21:57:23 +0100 (BST)

> interpreting your text above correctly), the decoder would belong

very good point! But the encoder doesn't have to use physical
information... 

L.

gah, layer violations are everywhere these days.